Loading...
Searching...
No Matches
gtsam::internal::linearAlgorithms::OptimizeClique< CLIQUE > Struct Template Reference

## Detailed Description

template<class CLIQUE>
struct gtsam::internal::linearAlgorithms::OptimizeClique< CLIQUE >

Pre-order visitor for back-substitution in a Bayes tree.

The visitor function operator()() optimizes the clique given the solution for the parents, and returns the solution for the clique's frontal variables. In addition, it adds the solution to a global collected solution that will finally be returned to the user. The reason we pass the individual clique solutions between nodes is to avoid log(n) lookups over all variables, they instead then are only over a node's parent variables.

## Public Member Functions

OptimizeData | operator() (const boost::shared_ptr< CLIQUE > &clique, OptimizeData &parentData)

## Public Attributes

VectorValues | collectedResult

The documentation for this struct was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/linear/linearAlgorithms-inst.h